﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Core;
using HeuristicLab.Common;

namespace HeuristicLab.Problems.MetaOptimization {
  public interface IOptimizable : IItem {
    bool IsOptimizable { get; }
    bool Optimize { get; set; }
    ConstrainedValue ActualValue { get; set; }

    void Randomize(IRandom random);
    void Mutate(IRandom random);
    void Cross(IOptimizable other, IRandom random);

    event EventHandler IsOptimizableChanged;
    event EventHandler OptimizeChanged;
  }
}
